package de.ivu.elect.business.personenregister.control;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;
import de.ivu.elect.business.konfiguration.entity.MandantKonfigurationWerte;
import de.ivu.elect.business.personenregister.entity.PersonenregisterSource;

public class PersonenregisterKonfigurationInit extends AbstractKonfigurationInit {

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    List<Konfiguration> konfigurationen = new ArrayList<>();
    add(konfigurationen, MandantKonfigurationWerte.PERSONENREGISTER_SOURCE, getDefaultSource());
    add(konfigurationen, MandantKonfigurationWerte.PERSONENREGISTER_CACHE_SIZE, getDefaultCacheSize());
    return konfigurationen;
  }

  private Long getDefaultCacheSize() {
    return 0L; // deaktiviert
  }

  protected PersonenregisterSource getDefaultSource() {
    return PersonenregisterSource.NONE;
  }
}
